
#define INCL_WIN
#define INCL_GPI
#define INCL_DOS
#define INCL_DOSERRORS
#include <os2.h>
#include "gradd.h"
#include "endive.h"

#define MIN(x,y) (x<y ? x :y)
#define MAX(x,y) (x>y ? x :y)


ULONG HWVRAM(PVRAMIN,PVOID);
ULONG HWEVENT(PHWEVENTIN);
ULONG HWExtension(PHWEXTENSION,PVOID);

/* check hardware presence*/
ULONG CheckHardware(void);
/* hide video window */
void HideVideo(void);
/* show video window */
void ShowVideo(void);
/* calculate parameters for hardware */
ULONG CalcRegisters(PIMAGEPACK);
/* Initialize VRAM management emulator */
ULONG InitVRAM(void);
/* Initialize overlay helper */
void OvlHlpInit(void);

/* Fill visible rectangles with transparent color*/
ULONG FillRectangles(PIMAGEPACK);

/* Refill last visible rectangles */
ULONG RefillRects(void);

/* transparent colors */
#define TRANS_8BPP  0x0 //FIXME: possible, another color needed
#define TRANS_15BPP 0x00007cff
#define TRANS_16BPP 0x0000f9ff
#define TRANS_24BPP 0x00ff7fff

